Subject: Re: [rbridge] rbridge Digest, Vol 63, Issue 3

From: "Jeff Pickering" <[email-masked]>
Date: Tue, 4 Aug 2009 07:12:50 -0700

Donald,

Sounds like the intented use is for management (given the thread inclusion). Can
You expand on this for my edification?

Jeff

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, August 03, 2009 3:00 PM
To: [email-masked]
Subject: rbridge Digest, Vol 63, Issue 3

Send rbridge mailing list submissions to
	[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
	http://mailman.postel.org/mailman/listinfo/rbridge
or, via email, send a message with subject or body 'help' to
	[email-masked]

You can reach the person managing the list at
	[email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of rbridge digest..."

Today's Topics:

   1. Addition to item 5 in Section 4.2.4.4 (Donald Eastlake)
   2. nickname-less RBs? (Jeff Pickering)
   3. Re: nickname-less RBs? (Donald Eastlake)
   4. Re: nickname-less RBs? (Radia Perlman)

----------------------------------------------------------------------

Message: 1
Date: Mon, 3 Aug 2009 00:26:01 -0400
From: Donald Eastlake <[email-masked]>
Subject: [rbridge] Addition to item 5 in Section 4.2.4.4
To: [email-masked]
Message-ID:
	<[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1

I suggest we add "RBridges MAY associate advertised connectivity to
different groups of VLANs with specific nicknames they hold." to Item
5 of Section 4.2.4.4. Although draft-ietf-isis-layer2-01.txt is still
being expanded and edited, this is currently provided for in Section
2.4.6 of that draft.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-634-2066 (home)
 155 Beaver Street
 Milford, MA 01757 USA
 [email-masked]

------------------------------

Message: 2
Date: Mon, 3 Aug 2009 04:46:52 -0700
From: "Jeff Pickering" <[email-masked]>
Subject: [rbridge] nickname-less RBs?
To: "[email-masked]" <[email-masked]>
Message-ID:
	<[email-masked]>
	
Content-Type: text/plain; charset="us-ascii"

The following text has been removed from section 3.7.3 of the latest spec:

   An RBridge that will not act as an ingress, egress, or tree root need
   not have a nickname.

Does this mean nicknames are now reqiured? If so, it should be explicitly stated. Personally, I really

liked the option to not give an RB a nickname if not needed to cut down on routing table size. In the fat tree case,

this amount to around a 60% savings.

Jeff

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mailman.postel.org/pipermail/rbridge/attachments/20090803/227fb526/attachment-0001.html

------------------------------

Message: 3
Date: Mon, 3 Aug 2009 09:35:23 -0400
From: Donald Eastlake <[email-masked]>
Subject: Re: [rbridge] nickname-less RBs?
To: Jeff Pickering <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Message-ID:
	<[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1

How would you send a management message to an RBridge without a
nickname, even assuming you are using SNMP over Ethernet? Would you
require an adjacent RBridge to have a nickname? Would you have some
way to address a frame to a System ID? This seems to rapidly get
pretty messy.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-634-2066 (home)
 155 Beaver Street
 Milford, MA 01757 USA
 [email-masked]

On Mon, Aug 3, 2009 at 7:46 AM, Jeff Pickering<[email-masked]> wrote:
>
> The following text has been removed from section 3.7.3 of the latest spec:
>
>
> ?? An RBridge that will not act as an ingress, egress, or tree root need
> ?? not have a nickname.
>
> Does this mean nicknames are now reqiured? If so, it should be explicitly
> stated. Personally, I really
>
> liked the option to not give an RB a nickname if not needed to cut down on
> routing table size. In the fat tree case,
>
> this amount to around a 60% savings.
>
>
>
> Jeff
>
>
>
> _______________________________________________
> rbridge mailing list
> [email-masked]
> http://mailman.postel.org/mailman/listinfo/rbridge
>
>

------------------------------

Message: 4
Date: Mon, 03 Aug 2009 08:38:50 -0700
From: Radia Perlman <[email-masked]>
Subject: Re: [rbridge] nickname-less RBs?
To: Donald Eastlake <[email-masked]>
Cc: "[email-masked]" <[email-masked]>,	Jeff Pickering
	<[email-masked]>
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

Right. That was why we removed it, because we couldn't figure out how to
send a management message to a nickname-less RBridge.

Jeff-- when you say "60% savings", do you mean 60% fewer nicknames used?
Are we worried about running out of nicknames?

The only way I can think of perhaps talking to a nickname-less RBridge would
be sending a message to its MAC address as a multicast, and then having
nickname-less RBridges look inside all multicast packets to check if the 
(inner) MAC
address is theirs.

Radia

Donald Eastlake wrote:
> How would you send a management message to an RBridge without a
> nickname, even assuming you are using SNMP over Ethernet? Would you
> require an adjacent RBridge to have a nickname? Would you have some
> way to address a frame to a System ID? This seems to rapidly get
> pretty messy.
>
> Thanks,
> Donald
> =============================
>  Donald E. Eastlake 3rd   +1-508-634-2066 (home)
>  155 Beaver Street
>  Milford, MA 01757 USA
>  [email-masked]
>
> On Mon, Aug 3, 2009 at 7:46 AM, Jeff Pickering<[email-masked]> wrote:
>   
>> The following text has been removed from section 3.7.3 of the latest spec:
>>
>>
>>    An RBridge that will not act as an ingress, egress, or tree root need
>>    not have a nickname.
>>
>> Does this mean nicknames are now reqiured? If so, it should be explicitly
>> stated. Personally, I really
>>
>> liked the option to not give an RB a nickname if not needed to cut down on
>> routing table size. In the fat tree case,
>>
>> this amount to around a 60% savings.
>>
>>
>>
>> Jeff
>>
>>
>>
>> _______________________________________________
>> rbridge mailing list
>> [email-masked]
>> http://mailman.postel.org/mailman/listinfo/rbridge
>>
>>
>>     
>
> _______________________________________________
> rbridge mailing list
> [email-masked]
> http://mailman.postel.org/mailman/listinfo/rbridge
>   

------------------------------

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge

End of rbridge Digest, Vol 63, Issue 3
**************************************

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge